from django.shortcuts import render

from .models import Url

# Create your views here.

def index(request):
    context = {
        'url_list': Url.objects.all()
    }
    return render(request, 'index.html', context)

def redir(request, url_id):
    return HttpResponse("You are following the url: {}".format(url_id))

def details(request, url_id):
    context = {
        'url': Url.objects.get(id=url_id)
    }
    return render(request, 'details.html', context)
